use poise::{serenity_prelude::CreateEmbed, CreateReply};

use crate::{consts::THEME_COLOR, utils::footer, Context, Error};

/// Get information about the bot
#[poise::command(slash_command)]
pub async fn info(ctx: Context<'_>) -> Result<(), Error> {
    let footer = footer(ctx);

    let _ = ctx
        .send(
            CreateReply::default().ephemeral(true).embed(
                CreateEmbed::new()
                    .title("Info")
                    .description(
                        "Help: `/help`

**Welcome to Reminder Bot!**
Developer: <@203532103185465344>
Icon: <@253202252821430272>
Find me on https://discord.jellywx.com and on https://github.com/JellyWX :)

Invite the bot: https://invite.reminder-bot.com/
Use our dashboard: https://reminder-bot.com/",
                    )
                    .footer(footer)
                    .color(*THEME_COLOR),
            ),
        )
        .await;

    Ok(())
}
