use crate::{Context, Error};

/// Add an item to the server todo list
#[poise::command(
    slash_command,
    rename = "add",
    guild_only = true,
    identifying_name = "todo_guild_add",
    default_member_permissions = "MANAGE_GUILD"
)]
pub async fn add(
    ctx: Context<'_>,
    #[description = "The task to add to the todo list"] task: String,
) -> Result<(), Error> {
    sqlx::query!(
        "
        INSERT INTO todos (guild_id, value)
        VALUES (
            (SELECT id FROM guilds WHERE guild = ?), ?
        )",
        ctx.guild_id().unwrap().get(),
        task
    )
    .execute(&ctx.data().database)
    .await
    .unwrap();

    ctx.say("Item added to todo list").await?;

    Ok(())
}
